/*************************************************************************
 * IRC - Internet Relay Chat, include/dynconf2.h
 * Copyright (C) 2001 Alasdair McWilliam. RageIRCd, Inc.
 *
 * Based on the original Dynamic Configuration Code,
 *                                       Copyright (C) The UnrealIRCd Team
 * Contains code from WreckedNet IRC Services,
 *                                       Copyright (C) Darcy Grexton
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __dynconf2_include__
#define __dynconf2_include__

#define DYNCONF_VER		"2.03"
#define NETWORK_VER		"2.01"
#undef ERROR
#undef FALSE
#undef TRUE

typedef	enum	{ERROR = -1, FALSE, TRUE}	Boolean_T;
typedef	struct	Config		aConfig;
typedef	struct	Network		aNetwork;
extern		aConfig		iConfig;

struct  Network {
	char		*ircnet;
	char		*ircnet_domain;
	char		*ircnet_kline;
	char		*ircnet_channel;
	char		*service_server;
	char		*service_stats;
	char		*service_cs;
	char		*service_ns; 
	char		*service_ms; 
	char		*service_os;
	char		*service_ss;
	char		*hostmask_netadmin;
	char		*hostmask_conetadmin;
	char		*hostmask_techadmin;
	char		*hostmask_abuseadmin;
	char		*hostmask_admin;
	char		*hostmask_scoadmin;
	char		*hostmask_ircop;
	char		*hostmask_servop;
	char		*hostmask_user;
	Boolean_T	dynamic_channels;
	Boolean_T	automask_opers;
};
struct	Config	{
	Boolean_T	automask;
	Boolean_T	autoinvisible;
	Boolean_T	autodccblock;
	Boolean_T	autobadwords;
	char		*contact_email;
	Boolean_T	enable_shortmotd;
	Boolean_T	show_opermotd;
	char		*forceconnectchans;
	char		*forceoperchans;
	Boolean_T	show_helpnotice;
	Boolean_T	filterquits;
	Boolean_T	enable_operchat;
	Boolean_T	enable_nachat;
	Boolean_T	enable_techat;
	Boolean_T	enable_adchat;
	int		dns_time;
	int		dns_retries;
	Boolean_T	enable_addline;
	Boolean_T	enable_throttle;
	Boolean_T	enable_newident;
	Boolean_T	enable_newname;
	Boolean_T	log_glines;

	char		*networkfile;
	aNetwork	network;
};

#define NETWORK_FILE		iConfig.networkfile
#define AUTOMASK		iConfig.automask
#define AUTOINVISIBLE		iConfig.autoinvisible
#define AUTODCCBLOCK		iConfig.autodccblock
#define AUTOBADWORDS		iConfig.autobadwords
#define CONTACT_EMAIL		iConfig.contact_email
#define ENABLE_SHORTMOTD	iConfig.enable_shortmotd
#define SHOW_OPERMOTD		iConfig.show_opermotd
#define FORCE_CONNECT_CHANS	iConfig.forceconnectchans
#define FORCE_OPER_CHANS	iConfig.forceoperchans
#define SHOW_HELPNOTICE		iConfig.show_helpnotice
#define FILTERQUITS		iConfig.filterquits
#define ENABLE_OPERCHAT		iConfig.enable_operchat
#define ENABLE_NACHAT		iConfig.enable_nachat
#define ENABLE_TECHAT		iConfig.enable_techat
#define ENABLE_ADCHAT		iConfig.enable_adchat
#define DNS_TIME		iConfig.dns_time
#define DNS_RETRIES		iConfig.dns_retries
#define ENABLE_ADDLINE		iConfig.enable_addline
#define ENABLE_THROTTLE		iConfig.enable_throttle
#define ENABLE_NEWIDENT		iConfig.enable_newident
#define ENABLE_NEWNAME		iConfig.enable_newname
#define LOG_GLINES		iConfig.log_glines

#define ircnet			iConfig.network.ircnet
#define ircnet_domain		iConfig.network.ircnet_domain
#define ircnet_kline		iConfig.network.ircnet_kline
#define ircnet_channel		iConfig.network.ircnet_channel
#define service_server		iConfig.network.service_server
#define service_stats		iConfig.network.service_stats
#define ChanServ		iConfig.network.service_cs
#define NickServ		iConfig.network.service_ns
#define MemoServ		iConfig.network.service_ms
#define OperServ		iConfig.network.service_os
#define StatServ		iConfig.network.service_ss
#define hostmask_netadmin	iConfig.network.hostmask_netadmin
#define hostmask_conetadmin	iConfig.network.hostmask_conetadmin
#define hostmask_techadmin	iConfig.network.hostmask_techadmin
#define hostmask_abuseadmin	iConfig.network.hostmask_abuseadmin
#define hostmask_admin		iConfig.network.hostmask_admin
#define hostmask_scoadmin	iConfig.network.hostmask_scoadmin
#define hostmask_ircop		iConfig.network.hostmask_ircop
#define hostmask_servop		iConfig.network.hostmask_servop
#define hostmask_user		iConfig.network.hostmask_user
#define DYNAMIC_CHANNELS	iConfig.network.dynamic_channels
#define AUTOMASK_OPERS		iConfig.network.automask_opers

#endif /* __dynconf2_include__ */
