/************************************************************************
 * IRC - Internet Relay Chat, include/patchlevel.h
 * Copyright (C) 2000 Alasdair McWilliam. RageIRCd, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __patchlevel_include__
#define __patchlevel_include__

#define BASENAME	"rage"
#define SERIES		"pandora"
#define MAJOR		"1"
#define MINOR		"5"
#define REVISION	"2"

#define PATCH1		""
#define PATCH2		""
#define PATCH3		""
#define PATCH4		""
#define PATCH5		""

#ifdef __APPLE__
#define OSPATCH		".MacOS"
#elif defined(_AMIGA)
#define OSPATCH		".AmigaOS"
#else
#define OSPATCH		""
#endif

#ifdef DEBUGMODE
#define DEBUGPATCH	"(debug)"
#else
#define DEBUGPATCH	""
#endif

#define BASE_ONLY	BASENAME "(" SERIES ")-"
#define VERSION_ONLY	MAJOR "." MINOR "." REVISION
#define PATCHES_ONLY	PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 OSPATCH DEBUGPATCH
#define FORMAL_VERSION	"RageIRCd v" VERSION_ONLY " (" SERIES ")"
#define IRCD_VERSION	BASE_ONLY VERSION_ONLY PATCHES_ONLY

#endif /* __patchlevel_include__ */
